MacOSX 10.6.6 (i386-apple-darwin10.6.0)

  • ページ: 動作報告
  • 投稿者: 和田勇?
  • 状態: 成功
  • ptexliveバージョン:20100711
  • 投稿日: 2011-01-15 (土) 10:36:06

必要パッケージ

ghostscript

ptexlive.cfg

ISO_DIR=/Volumes/TeXLive2009
conf_option --enable-luatex
conf_option --enable-xetex
conf_option --enable-xdv2pdf
conf_option --enable-xdvipdfmx
conf_option --enable-dialog
conf_option --enable-ps2eps
conf_option --enable-psutils
conf_option --enable-t1utils
conf_option --enable-tpic2pdftex
conf_option --enable-vlna
conf_option --enable-afm2pl
conf_option --enable-bibtex8
conf_option --enable-cjkutils
conf_option --enable-detex
conf_option --enable-devnag
conf_option --enable-dtl
conf_option --enable-dvi2tty
conf_option --enable-dvidvi
conf_option --enable-dviljk
conf_option --enable-dvipng
conf_option --enable-dvipos
conf_option --enable-lacheck
conf_option --enable-lcdf-typetools
conf_option --enable-musixflx
conf_option --enable-seetexk
conf_option --enable-tex4htk
conf_option --enable-ttf2pk
conf_option --enable-ttfdump
conf_option --without-x
conf_option --disable-xdvik
conf_option --disable-pxdvik
XDVI=echo

メッセージ

動作報告/111 で MacOSX 10.6.5 での成功が既に報告されていますが、
8test.sh の OTF Package のテスト部分にバックスラッシュが足りない
と思われる箇所があったので報告しておきます。

また、make test の最後のほう(dNOKANJI) で dvipdfmx が内部的に
ps2pdf を使っているので失敗。ghostscript を port でインストールし、
ps2pdf を参照できるようにし成功しました。
 
以下に 動作報告/99 の対応分も含めた 8test.sh のdiff を添付しておきます。
--- 8test.sh~	2010-03-25 15:12:04.000000000 +0900
+++ 8test.sh	2011-01-14 19:53:43.000000000 +0900
@@ -138,7 +138,7 @@
 if test -f $TEXMF/packages/otfcurrent/test/otftest.tex; then
 echo "-----------------------------"
 echo "[OTF package] test"
-$BIN/platex ../macro/otftest.tex
+$BIN/platex ../macro/otftest.tex	\
     < /dev/null > /dev/null || catexit otftest.log
 
 ex $PDVIPDF -o otftest-dvipdfmx.pdf otftest.dvi
@@ -222,7 +222,7 @@
 \includegraphics{../security/MOAB-06-01-2007.pdf}
 \end{document}
 EOF
-if ! $BIN/pdflatex xpdf.tex 2>&1 | grep "recursive calls" > /dev/null; then
+if ! $BIN/pdflatex xpdf.tex 2>&1 | grep "Loop in Pages tree" > /dev/null; then
     echo "CVE-2007-0104 is not fixed."
     exit 1
 fi


トップ   編集 凍結 差分 バックアップ 添付 複製 名前変更 リロード   新規 一覧 単語検索 最終更新   ヘルプ   最終更新のRSS
Last-modified: 2011-01-15 (土) 13:42:39 (2527d)